/**
 * 
 */
package org.ajax4jsf.bean;

import java.util.ArrayList;
import java.util.List;

/**
 * @author asmirnov
 *
 */
public class RepeatData {
    
    private List data;
    
    private String text;
    
    
    /**
	 * @return the text
	 */
	public String getText() {
		return text;
	}

	/**
	 * @param text the text to set
	 */
	public void setText(String text) {
		this.text = text;
	}

	public RepeatData() {
	data = new ArrayList(10);
	for(int i=0;i<10;i++){
	    Bean bean = new Bean();
	    bean.setText("Row "+i);
	    data.add(bean);
	}
    }

    public String ok(){
		System.out.println("Row command pressed");
		return null;
	    }

    /**
     * @return the data
     */
    public List getData() {
        return data;
    }

    /**
     * @param data the data to set
     */
    public void setData(List data) {
        this.data = data;
    }

}
